IP Detection
代理检测 API
判断 IP 是否为代理,包括住宅代理和 Tor 出口节点。
检测代理
GET/v1/proxy/{ip}
API 密钥
参数
- ipstring路径必填
IPv4 或 IPv6 地址。
响应字段
- ipstring
被检测的 IP 地址。
- isProxyboolean
代理(包括住宅代理)为 true。
- isTorboolean
Tor 出口节点为 true。
- networkClassstring
residential_clean、mobile、hosting、datacenter、vpn、residential_proxy、tor、relay 或 unknown。
- anonymizedboolean
网络隐藏了背后的用户时为 true。托管网络也算在内,已知基础设施除外。
- providerstring | null
已知时为网络所有者的名称。
- vpnProviderstring | null
vpn 地址所属的 VPN 服务(NordVPN、Mullvad 等),已知时返回。Starter 及以上方案提供,Free 方案为 null。
- riskScoreinteger
风险分数,0 到 100。
- evidencestring[]
可选。类别所依据的信号,例如 vpn_server_list、relay_range 或 known_infra。
- purityobject | null
评分明细:score、grade、verdict 与 deductions。所有方案均提供。
- purity.scoreinteger
纯净度分数,0 到 100。
- purity.gradestring
S+、S、A、B 或 C。
- purity.verdictstring
clean、suspect 或 dirty。
- purity.deductionsarray
从分数中扣除的分值,各附原因。
- deductionCountinteger
仅出现在锁定(Free)响应中:被隐藏的纯净度包含的扣分项数量,不含其他细节。
- lockedstring[]
在当前方案下以 null 返回的字段路径(以点分隔)。Starter 及以上方案不返回此字段。
- planRequiredstring
包含被锁定字段的方案。Starter 及以上方案不返回此字段。
curl https://ipscanner.io/v1/proxy/185.220.101.1 \
-H "Authorization: Bearer YOUR_API_KEY"响应
{
"ip": "185.220.101.1",
"isProxy": true,
"isTor": true,
"networkClass": "tor",
"anonymized": true,
"provider": "Tor Exit Node",
"vpnProvider": null,
"riskScore": 100,
"evidence": [
"tor_exit_list"
]
}